Page MenuHomePhabricator

[EPIC] Deprecate the BaseTemplate hooks
Closed, ResolvedPublic

Description

The following hooks are too closely coupled to the render layer meaning if a skin such as Vector that uses a different render layer (Mustache) compatibility is lost with a variety of extensions. To workaround this currently Vector inefficiently needs a corresponding SkinTemplate to keep compatibility.

The hooks in question here are:

  • BaseTemplateToolbox (1.35)
  • BaseTemplateAfterPortlet (1.35)
  • SkinTemplateToolboxEnd (1.35)

Sign off steps

  • Ensure all subtasks are closed
  • Make a task for any necessary hard deprecations.
  • EMail wikitech-l detailing what's happened

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2020, 8:52 PM
Volker_E added a subscriber: Isarra.
Jdlrobson triaged this task as Medium priority.Jun 5 2020, 8:50 PM
Jdlrobson lowered the priority of this task from Medium to Low.Jun 6 2020, 6:37 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson changed the status of subtask T253416: Deprecate BaseTemplateToolbox hook from Open to Stalled.Jun 10 2020, 11:59 PM
Jdlrobson changed the status of subtask T253416: Deprecate BaseTemplateToolbox hook from Stalled to Open.Jun 11 2020, 8:20 PM
Ammarpad claimed this task.Jun 12 2020, 2:18 PM
Jdlrobson raised the priority of this task from Low to Medium.Jun 15 2020, 11:22 PM
Ammarpad updated the task description. (Show Details)Jun 15 2020, 11:25 PM
Jdlrobson updated the task description. (Show Details)Jun 15 2020, 11:55 PM
Jdlrobson changed the task status from Open to Stalled.Jun 26 2020, 9:56 PM
Jdlrobson updated the task description. (Show Details)

Opened T256509, T256510, T256511 for removing these hooks.
wikitech-l email blocked on T60137

Jdlrobson closed this task as Resolved.Jun 29 2020, 11:20 PM
Jdlrobson updated the task description. (Show Details)